Bug 208371 - Firefox command line in Preferred Applications does not work
Firefox command line in Preferred Applications does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 02:10 EDT by mail@romal.de
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: control-center-2.16.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 16:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mail@romal.de 2006-09-28 02:10:58 EDT
Description of problem:

Firefox does not start when clicking a link in mails, terminal, ...

The command line 

firefox -remote "openurl(%s,new-tab)"

when selecting "Open in a new tab" in preferred applications does not work.

[root@helios ~]# firefox -remote "openurl("http://www.romal.de",new-tab)"
[root@helios ~]# Error: No running window found

It works only, if a Firefox is already running.

Version-Release number of selected component (if applicable):

Rawhide 2009-09-28

How reproducible:

Every time.

Steps to Reproduce:
1. Configure Preferred Applications to open "Link in a new tab".
2. Click a link in a terminal or email.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Aillon 2006-09-28 12:38:24 EDT
Hm.  That option is rather new to me.  Firefox links from outside applications
should open in a new tab without doing any work.  Why did you set that?  Does it
not work without that?
Comment 2 Matthias Clasen 2006-09-29 01:24:00 EDT
You may be right that "firefox foo" is good enough for opening foo in a tab,
but we still need a way to open foo in a new window.
Comment 3 mail@romal.de 2006-09-29 03:18:22 EDT
Hi,

yes. I played around with firefox -newtab foo, but that does not work either.

http://kb.mozillazine.org/Command_line_arguments

All the options work, when Firefox is running already. But without a running
Firefox, nothing happens.
Comment 4 Christopher Aillon 2006-09-29 16:11:19 EDT
I just commited a fix to control-center which prevents the user from setting
this.  If you want to override the preferences for Firefox for now, use
Edit>Preferences>Tabs from within Firefox.

Note You need to log in before you can comment on or make changes to this bug.